## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
# Deactivate tests as there are missing files
# https://github.com/germangb/minimp3-rs/issues/35
%bcond_with check
%global debug_package %{nil}

%global crate minimp3-sys

Name:           rust-%{crate}
Version:        0.3.2
Release:        %autorelease
Summary:        Rust bindings for the minimp3 library

# Upstream license specification: MIT
License:        MIT and CC0
URL:            https://crates.io/crates/minimp3-sys
Source:         %{crates_source}
# Download license file
# https://github.com/germangb/minimp3-rs/issues/34
Source1:        https://raw.githubusercontent.com/germangb/minimp3-rs/master/LICENSE

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

Provides: bundled(minimp3) = 0-0.1.2010704gitef9e212

%global _description %{expand:
Rust bindings for the minimp3 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE LICENSE-minimp3
%doc README.md README-minimp3.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp %{SOURCE1} LICENSE
mv -v minimp3/README.md README-minimp3.md
mv -v minimp3/LICENSE LICENSE-minimp3

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 25 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.3.2-1
- Initial package

